diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/lr-wpan/bindings/modulegen__gcc_LP64.py ns-3.31/src/lr-wpan/bindings/modulegen__gcc_LP64.py
--- ns-3.30.1/src/lr-wpan/bindings/modulegen__gcc_LP64.py	2019-08-12 17:00:27.000000000 -0700
+++ ns-3.31/src/lr-wpan/bindings/modulegen__gcc_LP64.py	2020-06-27 17:38:30.000000000 -0700
@@ -3082,6 +3435,91 @@
                    is_static=True)
     return
 
+def register_Ns3SuperframeField_methods(root_module, cls):
+    cls.add_output_stream_operator()
+    ## lr-wpan-fields.h (module 'lr-wpan'): ns3::SuperframeField::SuperframeField(ns3::SuperframeField const & arg0) [constructor]
+    cls.add_constructor([param('ns3::SuperframeField const &', 'arg0')])
+    ## lr-wpan-fields.h (module 'lr-wpan'): ns3::SuperframeField::SuperframeField() [constructor]
+    cls.add_constructor([])
+    ## lr-wpan-fields.h (module 'lr-wpan'): ns3::Buffer::Iterator ns3::SuperframeField::Deserialize(ns3::Buffer::Iterator i) [member function]
+    cls.add_method('Deserialize', 
+                   'ns3::Buffer::Iterator', 
+                   [param('ns3::Buffer::Iterator', 'i')])
+    ## lr-wpan-fields.h (module 'lr-wpan'): uint8_t ns3::SuperframeField::GetBeaconOrder() const [member function]
+    cls.add_method('GetBeaconOrder', 
+                   'uint8_t', 
+                   [], 
+                   is_const=True)
+    ## lr-wpan-fields.h (module 'lr-wpan'): uint8_t ns3::SuperframeField::GetFinalCapSlot() const [member function]
+    cls.add_method('GetFinalCapSlot', 
+                   'uint8_t', 
+                   [], 
+                   is_const=True)
+    ## lr-wpan-fields.h (module 'lr-wpan'): uint8_t ns3::SuperframeField::GetFrameOrder() const [member function]
+    cls.add_method('GetFrameOrder', 
+                   'uint8_t', 
+                   [], 
+                   is_const=True)
+    ## lr-wpan-fields.h (module 'lr-wpan'): uint32_t ns3::SuperframeField::GetSerializedSize() const [member function]
+    cls.add_method('GetSerializedSize', 
+                   'uint32_t', 
+                   [], 
+                   is_const=True)
+    ## lr-wpan-fields.h (module 'lr-wpan'): uint16_t ns3::SuperframeField::GetSuperframe() const [member function]
+    cls.add_method('GetSuperframe', 
+                   'uint16_t', 
+                   [], 
+                   is_const=True)
+    ## lr-wpan-fields.h (module 'lr-wpan'): bool ns3::SuperframeField::IsAssocPermit() const [member function]
+    cls.add_method('IsAssocPermit', 
+                   'bool', 
+                   [], 
+                   is_const=True)
+    ## lr-wpan-fields.h (module 'lr-wpan'): bool ns3::SuperframeField::IsBattLifeExt() const [member function]
+    cls.add_method('IsBattLifeExt', 
+                   'bool', 
+                   [], 
+                   is_const=True)
+    ## lr-wpan-fields.h (module 'lr-wpan'): bool ns3::SuperframeField::IsPanCoor() const [member function]
+    cls.add_method('IsPanCoor', 
+                   'bool', 
+                   [], 
+                   is_const=True)
+    ## lr-wpan-fields.h (module 'lr-wpan'): ns3::Buffer::Iterator ns3::SuperframeField::Serialize(ns3::Buffer::Iterator i) const [member function]
+    cls.add_method('Serialize', 
+                   'ns3::Buffer::Iterator', 
+                   [param('ns3::Buffer::Iterator', 'i')], 
+                   is_const=True)
+    ## lr-wpan-fields.h (module 'lr-wpan'): void ns3::SuperframeField::SetAssocPermit(bool assocPermit) [member function]
+    cls.add_method('SetAssocPermit', 
+                   'void', 
+                   [param('bool', 'assocPermit')])
+    ## lr-wpan-fields.h (module 'lr-wpan'): void ns3::SuperframeField::SetBattLifeExt(bool battLifeExt) [member function]
+    cls.add_method('SetBattLifeExt', 
+                   'void', 
+                   [param('bool', 'battLifeExt')])
+    ## lr-wpan-fields.h (module 'lr-wpan'): void ns3::SuperframeField::SetBeaconOrder(uint8_t bcnOrder) [member function]
+    cls.add_method('SetBeaconOrder', 
+                   'void', 
+                   [param('uint8_t', 'bcnOrder')])
+    ## lr-wpan-fields.h (module 'lr-wpan'): void ns3::SuperframeField::SetFinalCapSlot(uint8_t capSlot) [member function]
+    cls.add_method('SetFinalCapSlot', 
+                   'void', 
+                   [param('uint8_t', 'capSlot')])
+    ## lr-wpan-fields.h (module 'lr-wpan'): void ns3::SuperframeField::SetPanCoor(bool panCoor) [member function]
+    cls.add_method('SetPanCoor', 
+                   'void', 
+                   [param('bool', 'panCoor')])
+    ## lr-wpan-fields.h (module 'lr-wpan'): void ns3::SuperframeField::SetSuperframe(uint16_t superFrm) [member function]
+    cls.add_method('SetSuperframe', 
+                   'void', 
+                   [param('uint16_t', 'superFrm')])
+    ## lr-wpan-fields.h (module 'lr-wpan'): void ns3::SuperframeField::SetSuperframeOrder(uint8_t frmOrder) [member function]
+    cls.add_method('SetSuperframeOrder', 
+                   'void', 
+                   [param('uint8_t', 'frmOrder')])
+    return
+
 def register_Ns3Tag_methods(root_module, cls):
     ## tag.h (module 'network'): ns3::Tag::Tag() [constructor]
     cls.add_constructor([])
